<?php
	/* Xavier Belanger */
	/* November 26, 2019 */

	/* checking the script parameter */
	if (is_numeric($_GET['width']) && $_GET['width'] > 0)
	{
		$imageWidth = $_GET['width'];
	}
	else
	{
		$imageWidth = 1;
	}

	$imageHeight = 20;

	/* declaring a PNG image header */
	header("Content-type: image/png");

	/* defining the image color based on the width value */
	/* width > 1000: purple	*/
	/* width > 350: red	*/
	/* width > 250: orange	*/
	/* width <= 250: green	*/
	if($imageWidth > 350)
	{
		/* setting a maximum image width */
		if($imageWidth > 1000)
		{
			$imageWidth = 1000;
			$img = imageCreate($imageWidth, $imageHeight);

			/* purple */
			imageColorAllocate($img, 143, 16, 82);
		}
		else
		{
			$img = imageCreate($imageWidth, $imageHeight);

			/* red */
			imageColorAllocate($img, 207, 0, 0);
		}
	}
	else
	{
		$img = imageCreate($imageWidth, $imageHeight);

		if($imageWidth > 250)
		{
			/* orange */
			imageColorAllocate($img, 241, 159, 17);
		}
		else
		{
			/* green */
			imageColorAllocate($img, 10, 200, 40);
		}
	}

	/* generate the picture for rendering */
	imagePNG($img);

	/* free the ressources used to create the image */
	imageDestroy($img);
?>
